Loading...
Searching...
No Matches
pcl::search Namespace Reference

## Namespaces

namespace | internal

## Classes

class | BruteForce
| Implementation of a simple brute force search algorithm. More...
class | FlannSearch
| search::FlannSearch is a generic FLANN wrapper class for the new search interface. More...
class | KdTree
| search::KdTree is a wrapper class which inherits the pcl::KdTree class for performing search functions using KdTree structure. More...
class | KdTreeNanoflann
| pcl::search::KdTreeNanoflann is a faster and flexible alternative to pcl::search::KdTree. More...
class | Octree
| search::Octree is a wrapper class which implements nearest neighbor search operations based on the pcl::octree::Octree structure. More...
class | OrganizedNeighbor
| OrganizedNeighbor is a class for optimized nearest neighbor search in organized projectable point clouds, for instance from Time-Of-Flight cameras or stereo cameras. More...
class | Search
| Generic search class. More...

## Typedefs

using | L1_Adaptor
using | L2_Adaptor
using | L2_Simple_Adaptor
using | SO2_Adaptor
using | SO3_Adaptor

## Typedef Documentation

## L1_Adaptor

using pcl::search::L1_Adaptor

Initial value:
nanoflann::L1_Adaptor<float,
pcl::search::internal::PointCloudAdaptor<float>,
float,
pcl::index_t>
pcl::index_t
detail::int_type_t< detail::index_type_size, detail::index_type_signed > index_t
Type used for an index in PCL.
Definition types.h:112
pcl::search::internal::PointCloudAdaptor
Helper for KdTreeNanoflann, serves as a dataset adaptor.
Definition kdtree_nanoflann.h:26

Definition at line 111 of file kdtree_nanoflann.h.

## L2_Adaptor

using pcl::search::L2_Adaptor

Initial value:
nanoflann::L2_Adaptor<float,
pcl::search::internal::PointCloudAdaptor<float>,
float,
pcl::index_t>

Definition at line 116 of file kdtree_nanoflann.h.

## L2_Simple_Adaptor

using pcl::search::L2_Simple_Adaptor

Initial value:
nanoflann::L2_Simple_Adaptor<float,
pcl::search::internal::PointCloudAdaptor<float>,
float,
pcl::index_t>

Definition at line 121 of file kdtree_nanoflann.h.

## SO2_Adaptor

using pcl::search::SO2_Adaptor

Initial value:
nanoflann::SO2_Adaptor<float,
pcl::search::internal::PointCloudAdaptor<float>,
float,
pcl::index_t>

Definition at line 126 of file kdtree_nanoflann.h.

## SO3_Adaptor

using pcl::search::SO3_Adaptor

Initial value:
nanoflann::SO3_Adaptor<float,
pcl::search::internal::PointCloudAdaptor<float>,
float,
pcl::index_t>

Definition at line 131 of file kdtree_nanoflann.h.